### Function

# EDataServer xml_xpath_eval_exists

since: 3.26

#### Declaration [src]

    gboolean
    e_xml_xpath_eval_exists (
      xmlXPathContext* xpath_ctx,
      const gchar* format,
      ...
    )

#### Description [src]

Evaluates path specified by `format` and returns whether it exists.

Available since: 3.26

This function is not directly available to language bindings.

#### Parameters

`xpath_ctx`

  Type: `xmlXPathContext*`

  An #xmlXPathContextPtr.

  The data is owned by the caller of the function.

`format`

  Type: `const gchar*`

  Printf-like format specifier of path to evaluate.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for the `format`.

#### Return value

Type: `gboolean`

`TRUE`, when the given XPath exists, `FALSE` otherwise.